Package uk.co.mccombe.terrain

# Class PropertySet

java.lang.Object
uk.co.mccombe.terrain.PropertySet

public class PropertySet extends Object

## Constructor Summary

Constructors
Constructor
Description
`PropertySet(String pathname, Properties defaults)`
Creates a new instance of PropertySet

## Method Summary

Modifier and Type
Method
Description
`String`
`get(TerrainProperties key)`
`boolean`
`isValid()`
`void`
`save()`
`void`
`set(TerrainProperties key, String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PropertySet

public PropertySet(String pathname, Properties defaults)
Creates a new instance of PropertySet

## Method Details

### get

public String get(TerrainProperties key)

### set

public void set(TerrainProperties key, String value)

### save

public void save() throws IOException

Throws:
  `IOException`

### isValid

public boolean isValid()